org.apache.ignite.internal.processors.rest

## Enum GridRestCommand

- java.lang.Object
- - java.lang.Enum<GridRestCommand>
  - - org.apache.ignite.internal.processors.rest.GridRestCommand

All Implemented Interfaces:
  Serializable, Comparable<GridRestCommand>

    public enum GridRestCommand
    extends Enum<GridRestCommand>

Supported commands.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ATOMIC_DECREMENT` Decrement.
`ATOMIC_INCREMENT` Increment.
`CACHE_ADD` Store value in cache if it doesn't exist.
`CACHE_APPEND` Append.
`CACHE_CAS` Compare and set.
`CACHE_CONTAINS_KEY` Contains cached value.
`CACHE_CONTAINS_KEYS` Contains cached values.
`CACHE_GET` Get cached value.
`CACHE_GET_ALL` Get several cached values.
`CACHE_GET_AND_PUT` Store value in cache and return previous value.
`CACHE_GET_AND_PUT_IF_ABSENT` Store value in cache and return previous value.
`CACHE_GET_AND_REMOVE` Remove value from cache.
`CACHE_GET_AND_REPLACE` Replace cache value only if there is currently a mapping for it.
`CACHE_METADATA` Cache metadata.
`CACHE_METRICS` Cache metrics.
`CACHE_PREPEND` Prepend.
`CACHE_PUT` Store value in cache.
`CACHE_PUT_ALL` Store several values in cache.
`CACHE_PUT_IF_ABSENT` Store value in cache.
`CACHE_REMOVE` Remove value from cache.
`CACHE_REMOVE_ALL` Remove several values from cache.
`CACHE_REMOVE_VALUE` Remove value from cache.
`CACHE_REPLACE` Replace cache value only if there is currently a mapping for it.
`CACHE_REPLACE_VALUE` Replace cache value only if there is currently a mapping for it.
`CACHE_SIZE` Cache size.
`CLOSE_SQL_QUERY` Close query.
`DESTROY_CACHE` Stops dynamically started cache.
`EXE` Task execution .
`EXECUTE_SCAN_QUERY` Execute scan query.
`EXECUTE_SQL_FIELDS_QUERY` Execute sql fields query.
`EXECUTE_SQL_QUERY` Execute sql query.
`FETCH_SQL_QUERY` Fetch query results.
`GET_OR_CREATE_CACHE` Get or create cache.
`LOG` Log.
`NAME` Name.
`NODE` Single node info.
`NOOP` No-op.
`QUIT` Quit.
`RESULT` Task execution .
`TOPOLOGY` Grid topology.
`VERSION` Version.

### Method Summary

Methods
`static GridRestCommand` `fromKey(String key)`
`static GridRestCommand` `fromOrdinal(int ord)`
`String` `key()`
`static GridRestCommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridRestCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_GET

    public static final GridRestCommand CACHE_GET

Get cached value.

#### CACHE_CONTAINS_KEY

    public static final GridRestCommand CACHE_CONTAINS_KEY

Contains cached value.

#### CACHE_CONTAINS_KEYS

    public static final GridRestCommand CACHE_CONTAINS_KEYS

Contains cached values.

#### CACHE_GET_ALL

    public static final GridRestCommand CACHE_GET_ALL

Get several cached values.

#### CACHE_GET_AND_PUT

    public static final GridRestCommand CACHE_GET_AND_PUT

Store value in cache and return previous value.

#### CACHE_GET_AND_PUT_IF_ABSENT

    public static final GridRestCommand CACHE_GET_AND_PUT_IF_ABSENT

Store value in cache and return previous value.

#### CACHE_PUT

    public static final GridRestCommand CACHE_PUT

Store value in cache.

#### CACHE_PUT_IF_ABSENT

    public static final GridRestCommand CACHE_PUT_IF_ABSENT

Store value in cache.

#### CACHE_ADD

    public static final GridRestCommand CACHE_ADD

Store value in cache if it doesn't exist.

#### CACHE_PUT_ALL

    public static final GridRestCommand CACHE_PUT_ALL

Store several values in cache.

#### CACHE_REMOVE

    public static final GridRestCommand CACHE_REMOVE

Remove value from cache.

#### CACHE_REMOVE_VALUE

    public static final GridRestCommand CACHE_REMOVE_VALUE

Remove value from cache.

#### CACHE_GET_AND_REMOVE

    public static final GridRestCommand CACHE_GET_AND_REMOVE

Remove value from cache.

#### CACHE_REMOVE_ALL

    public static final GridRestCommand CACHE_REMOVE_ALL

Remove several values from cache.

#### CACHE_REPLACE

    public static final GridRestCommand CACHE_REPLACE

Replace cache value only if there is currently a mapping for it.

#### CACHE_REPLACE_VALUE

    public static final GridRestCommand CACHE_REPLACE_VALUE

Replace cache value only if there is currently a mapping for it.

#### CACHE_GET_AND_REPLACE

    public static final GridRestCommand CACHE_GET_AND_REPLACE

Replace cache value only if there is currently a mapping for it.

#### CACHE_CAS

    public static final GridRestCommand CACHE_CAS

Compare and set.

#### CACHE_APPEND

    public static final GridRestCommand CACHE_APPEND

Append.

#### CACHE_PREPEND

    public static final GridRestCommand CACHE_PREPEND

Prepend.

#### CACHE_METRICS

    public static final GridRestCommand CACHE_METRICS

Cache metrics.

#### CACHE_SIZE

    public static final GridRestCommand CACHE_SIZE

Cache size.

#### CACHE_METADATA

    public static final GridRestCommand CACHE_METADATA

Cache metadata.

#### ATOMIC_INCREMENT

    public static final GridRestCommand ATOMIC_INCREMENT

Increment.

#### ATOMIC_DECREMENT

    public static final GridRestCommand ATOMIC_DECREMENT

Decrement.

#### TOPOLOGY

    public static final GridRestCommand TOPOLOGY

Grid topology.

#### NODE

    public static final GridRestCommand NODE

Single node info.

#### EXE

    public static final GridRestCommand EXE

Task execution .

#### RESULT

    public static final GridRestCommand RESULT

Task execution .

#### VERSION

    public static final GridRestCommand VERSION

Version.

#### NAME

    public static final GridRestCommand NAME

Name.

#### LOG

    public static final GridRestCommand LOG

Log.

#### NOOP

    public static final GridRestCommand NOOP

No-op.

#### QUIT

    public static final GridRestCommand QUIT

Quit.

#### GET_OR_CREATE_CACHE

    public static final GridRestCommand GET_OR_CREATE_CACHE

Get or create cache.

#### DESTROY_CACHE

    public static final GridRestCommand DESTROY_CACHE

Stops dynamically started cache.

#### EXECUTE_SQL_QUERY

    public static final GridRestCommand EXECUTE_SQL_QUERY

Execute sql query.

#### EXECUTE_SQL_FIELDS_QUERY

    public static final GridRestCommand EXECUTE_SQL_FIELDS_QUERY

Execute sql fields query.

#### EXECUTE_SCAN_QUERY

    public static final GridRestCommand EXECUTE_SCAN_QUERY

Execute scan query.

#### FETCH_SQL_QUERY

    public static final GridRestCommand FETCH_SQL_QUERY

Fetch query results.

#### CLOSE_SQL_QUERY

    public static final GridRestCommand CLOSE_SQL_QUERY

Close query.

### Method Detail

#### values

    public static GridRestCommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridRestCommand c : GridRestCommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridRestCommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridRestCommand fromOrdinal(int ord)

Parameters:
  `ord` - Byte to convert to enum.
Returns:
  Enum.

#### fromKey

    @Nullable
    public static GridRestCommand fromKey(String key)

Parameters:
  `key` - Key.
Returns:
  Command.

#### key

    public String key()

Returns:
  Command key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016